Subject: Re: What's cooking in git.git (Aug 2025, #01; Sun, 3)

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Aug 2025 11:34:03 -0700

Lucas Seiki Oshiro <[email-masked]> writes:

>> 
>> When I report a public CI failure, I'd try to give an exact URL, but
>> otherwise the failure would have been seen in my local environment,
>> and because I tend to refrain from pushing out a know-to-be-broken
>> tree, it is unsurprising if 371c45b569 did not fail.
>> 
>> That commit does not have lo/repo-info, I suspect.  I didn't know
>> exactly which topic was causing
>
> Yeah, I forgot to check the CI before I sent the last version. My bad,
> I'm sorry for this. I'll be more careful next time.
>
>> but the error was observed when
>> "repo --help-all" was given, so perhaps some interactions between
>> these two topics.
>
> However, after merging my local repo-info-v7 onto 371c45b569 in my local
> environment, I can execute `git repo --help-all` without any errors.

The breakage reported was about some leaks, and not about "does the
end-user observe any error when the command runs?".

> I
> also pushed this merge to GitHub [1], the only fails were directly related
> to my branch (some tests that I wrote and some leaks).

And it is not surprising, when these two were merged to 'seen',
leaks in your topic were triggering failures.